Package org.codehaus.groovy.control

# Class Phases

java.lang.Object
org.codehaus.groovy.control.Phases

public class Phases extends Object
Compilation phase identifiers.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ALL`
  Synonym for full compilation
  `static final int`
  `CANONICALIZATION`
  AST completion
  `static final int`
  `CLASS_GENERATION`
  Bytecode generation
  `static final int`
  `CONVERSION`
  CST to AST conversion
  `static final String[]`
  `descriptions`
  `static final int`
  `FINALIZATION`
  Cleanup
  `static final int`
  `INITIALIZATION`
  Opening of files and such
  `static final int`
  `INSTRUCTION_SELECTION`
  Prepare for class generation
  `static final int`
  `OUTPUT`
  Output of class to disk
  `static final int`
  `PARSING`
  Lexing, parsing, and AST building
  `static final int`
  `SEMANTIC_ANALYSIS`
  AST semantic analysis and elucidation

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Phases()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getDescription(int phase)`
  Returns a description of the specified phase.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### INITIALIZATION

    public static final int INITIALIZATION
    Opening of files and such
    See Also:
      - Constant Field Values

  - ### PARSING

    public static final int PARSING
    Lexing, parsing, and AST building
    See Also:
      - Constant Field Values

  - ### CONVERSION

    public static final int CONVERSION
    CST to AST conversion
    See Also:
      - Constant Field Values

  - ### SEMANTIC_ANALYSIS

    public static final int SEMANTIC_ANALYSIS
    AST semantic analysis and elucidation
    See Also:
      - Constant Field Values

  - ### CANONICALIZATION

    public static final int CANONICALIZATION
    AST completion
    See Also:
      - Constant Field Values

  - ### INSTRUCTION_SELECTION

    public static final int INSTRUCTION_SELECTION
    Prepare for class generation
    See Also:
      - Constant Field Values

  - ### CLASS_GENERATION

    public static final int CLASS_GENERATION
    Bytecode generation
    See Also:
      - Constant Field Values

  - ### OUTPUT

    public static final int OUTPUT
    Output of class to disk
    See Also:
      - Constant Field Values

  - ### FINALIZATION

    public static final int FINALIZATION
    Cleanup
    See Also:
      - Constant Field Values

  - ### ALL

    public static final int ALL
    Synonym for full compilation
    See Also:
      - Constant Field Values

  - ### descriptions

    public static final String[] descriptions

- ## Constructor Details

  - ### Phases

    public Phases()

- ## Method Details

  - ### getDescription

    public static String getDescription(int phase)
    Returns a description of the specified phase.